#include "engine.h"

GLvoid Engine::SetProjectionMatrix(GLvoid){
	glMatrixMode(GL_PROJECTION);											//      
	glLoadIdentity();														//   ()   
	glOrtho (-1.2 * double(Width) / Height, 1.2 * double(Width) / Height,	//   
		-1.2, 1.2, -10.0, 10.0);												
}

GLvoid Engine::SetModelviewMatrix(GLvoid){
	glMatrixMode(GL_MODELVIEW);					//      
	glLoadIdentity();							//   ()   
}

GLvoid Engine::Resize(GLsizei width, GLsizei height){
	if (height == 0)									
	{
		height = 1;										
	}

	glViewport(0, 0, width, height);			//   

	Height = height;
	Width = width;

	SetProjectionMatrix();
	SetModelviewMatrix();
}

GLvoid Engine::Init(GLvoid){
	glClearColor(216.0f / 255.0f, 216.0f / 255.0f, 247.0f / 255.0f, 1.0f);	//   
}

GLvoid Engine::Draw(GLvoid)									
{
	glClear(GL_COLOR_BUFFER_BIT);				//   

	glPushMatrix();								//    
	glRotatef(30.0f, 1.0f, 1.0f, 1.0f);			//   30    (1, 1, 1)
	glColor3f(0.7f, 0.25f, 0.55f);				//    
	glutWireCube(1.0f);							//      2
	glPopMatrix();								//    
}
